Package org.eclipse.birt.chart.model.data

# Interface TextDataElement

All Superinterfaces:
  `DataElement`, `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

public interface TextDataElement extends DataElement
A representation of the model object 'Text Data Element'. This type defines a single element of data for a series.

The following features are supported:

- `Value`

See Also:
  - `org.eclipse.birt.chart.model.data.DataPackage#getTextDataElement()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setValue(String value)`

### Methods inherited from interface org.eclipse.birt.chart.model.data.DataElement

`copyInstance`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValue

String getValue()
Returns the value of the 'Value' attribute. Holds a single string value.

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(String)`
  - `org.eclipse.birt.chart.model.data.DataPackage#getTextDataElement_Value()`

### setValue

void setValue(String value)